SEM_OPEN(3)

NAME
sem_open, sem_close, sem_unlink - named semaphore operations

SYNOPSIS
#include <semaphore.h>
sem_t *
sem_open(const char *name, int oflag, ...);
int
sem_close(sem_t *sem);
int
sem_unlink(const char *name);

DESCRIPTION
The sem_open(), sem_close(), and sem_unlink() functions are not supported by this implementation.

RETURN VALUES
sem_open() returns SEM_FAILED and sets errno to indicate an error. sem_close() and sem_unlink() return -1 and set errno to indicate an error.

ERRORS
sem_open(), sem_close(), and sem_unlink() will fail:

[ENOSYS]
    Function not supported by this implementation.

SEE ALSO
sem_destroy(3), sem_getvalue(3), sem_init(3), sem_post(3), sem_wait(3)

STANDARDS
sem_open(), sem_close(), and sem_unlink() conform to p1003.1-96.